--- python.el.~1.93.~	2009-02-02 20:13:17.000000000 -0800
+++ python.el	2009-02-08 14:10:37.000000000 -0800
@@ -2205,6 +2205,13 @@
 
 ;;;; Skeletons
 
+(defcustom python-use-skeletons nil
+  "Non-nil means template skeletons will be automagically inserted.
+This happens when pressing \"if<SPACE>\", for example, to prompt for
+the if condition."
+  :type 'boolean
+  :group 'python)
+
 (define-abbrev-table 'python-mode-abbrev-table ()
   "Abbrev table for Python mode."
   :case-fixed t
@@ -2221,9 +2228,10 @@
     `(progn
        ;; Usual technique for inserting a skeleton, but expand
        ;; to the original abbrev instead if in a comment or string.
-       (define-abbrev python-mode-abbrev-table ,name ""
-	 ',function
-	 nil t)				; system abbrev
+       (if python-use-skeletons 
+           (define-abbrev python-mode-abbrev-table ,name ""
+             ',function
+             nil t))				; system abbrev
        (define-skeleton ,function
 	 ,(format "Insert Python \"%s\" template." name)
 	 ,@elements)))))
